import { select, range } from 'd3';

const svg = select('body').append('svg');

const width = window.innerWidth;
const height = window.innerHeight;
svg.attr('width', width);
svg.attr('height', height);

const mask = svg.append('mask').attr('id', 'circle-mask');

svg
  .append('g')
  .selectAll('rect')
  .data(range(100))
  .join('rect')
  .attr('y', (d) => d * 20)
  .attr('width', width)
  .attr('height', 10)
  .attr('mask', 'url(#circle-mask)');

svg
  .append('g')
  .selectAll('rect')
  .data(range(100))
  .join('rect')
  .attr('x', (d) => d * 20)
  .attr('width', 10)
  .attr('height', height)
  .attr('mask', 'url(#circle-mask-2)');

mask
  .append('rect')
  .attr('width', width)
  .attr('height', height)
  .attr('fill', 'black');

mask
  .append('circle')
  .attr('cx', width / 2)
  .attr('cy', height / 2)
  .attr('r', 200)
  .attr('fill', 'white');

const mask2 = svg
  .append('mask')
  .attr('id', 'circle-mask-2');

mask2
  .append('rect')
  .attr('width', width)
  .attr('height', height)
  .attr('fill', 'white');

mask2
  .append('circle')
  .attr('cx', width / 2)
  .attr('cy', height / 2)
  .attr('r', 200)
  .attr('fill', 'black');
